describe('InvoiceInDescriptor', () => {
    const saveDialog = '.q-btn--unelevated > .q-btn__content > .block';
    const firstDescritorOpt = '.q-menu > .q-list > :nth-child(1) > .q-item__section';

    it('should booking and unbooking the invoice properly', () => {
        cy.login('developer');
        cy.visit(`/#/invoice-in/1/summary?limit=10`);

        cy.openLeftMenu();
        cy.openActionsDescriptor();
        cy.get(firstDescritorOpt).click();
        cy.get(saveDialog).click();
        cy.get('.q-checkbox').should('have.attr', 'aria-checked', 'true');

        cy.openLeftMenu();
        cy.openActionsDescriptor();
        cy.get(firstDescritorOpt).click();
        cy.get(saveDialog).click();
        cy.get('.q-checkbox').should('have.attr', 'aria-checked', 'false');
    });
});
